import 'package:flutter/material.dart';
import 'package:test_sa/extensions/int_extensions.dart';
import 'package:test_sa/new_views/app_style/app_color.dart';
import 'package:test_sa/views/app_style/sizing.dart';

class AppLazyLoading extends StatelessWidget {
  const AppLazyLoading({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        height: 36.toScreenWidth,
        width: 36.toScreenWidth,
        padding: const EdgeInsets.all(8),
        decoration: BoxDecoration(color: AppColor.background(context), shape: BoxShape.circle, boxShadow: [AppStyle.boxShadow]),
        child: const Center(child: CircularProgressIndicator(strokeWidth: 3, color: AppColor.primary10)),
      ),
    );
  }
}
